function [residual, g1, g2, g3] = baby10_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(47, 1);
llr__ = 1/params(1);
llrk__ = llr__-(1-params(10));
llxp__ = params(22);
llxw__ = params(23);
llxw1__ = params(23);
lllm__ = (1-params(2)/params(1))/(1-params(2)*params(37)/params(13));
QHTOC__ = params(6)/(1-params(1));
QH1TOC1__ = params(6)/(1-params(2)-lllm__*params(7)*(1-params(37)));
KTOY__ = params(8)/(llxp__*llrk__);
BTOQH1__ = params(7)*(1-params(37))/(1-params(37)/params(13));
C1TOY__ = (1-params(8))*params(15)/(1+(1/params(1)-1)*BTOQH1__*QH1TOC1__)*1/llxp__;
CTOY__ = 1-C1TOY__-params(10)*KTOY__;
lln__ = ((1-params(8))*(1-params(15))/(llxp__*llxw__*CTOY__))^(1/(1+params(5)));
lln1__ = ((1-params(8))*params(15)/(C1TOY__*llxp__*llxw1__))^(1/(1+params(5)));
lly__ = KTOY__^(params(8)/(1-params(8)))*lln__^(1-params(15))*lln1__^params(15);
llctot__ = lly__-params(10)*KTOY__*lly__;
llik__ = params(10)*KTOY__*lly__;
llq__ = lly__*CTOY__*QHTOC__+lly__*QH1TOC1__*C1TOY__;
T159 = params(2)*(y(56)/y(75)-params(37)*y(80)/y(75));
T180 = y(52)^((1-params(8))*(1-params(15)));
T181 = y(53)^((1-params(8))*params(15));
T182 = T180*T181;
T184 = y(17)^params(8);
T196 = y(41)/params(13);
T197 = log(T196);
T200 = y(10)/params(13);
T204 = y(75)/params(13);
T214 = (1-params(20))*(1-params(1)*params(20))/params(20);
T215 = y(65)/params(22);
T224 = y(45)/params(13);
T228 = y(13)/params(13);
T233 = y(76)/params(13);
T243 = (1-params(21))*(1-params(1)*params(21))/params(21);
T244 = y(66)/params(23);
T253 = y(46)/params(13);
T256 = y(14)/params(13);
T261 = y(77)/params(13);
T266 = y(67)/params(23);
T283 = y(42)/params(13);
T288 = y(43)/params(13);
T293 = y(44)/params(13);
T301 = y(68)/lly__;
T308 = (1-params(18))*params(17)/4;
T310 = y(54)/y(18);
T331 = (1-params(3))/(1-params(1)*params(3));
T347 = (1-params(3))/(1-params(2)*params(3));
T365 = params(6)*(1-params(4))/(1-params(1)*params(4));
T387 = params(6)*(1-params(4))/(1-params(2)*params(4));
T407 = 1-params(9)*(y(48)-y(16))/llik__;
T532 = (params(15)*y(46)+(1-params(15))*y(45))/params(13);
T680 = 1/params(13);
T687 = T680/T196;
T713 = params(2)*((-y(56))/(y(75)*y(75))-(-(params(37)*y(80)))/(y(75)*y(75)));
T734 = T680/T224;
T739 = (1-params(15))/params(13);
T748 = T680/T253;
T753 = params(15)/params(13);
T763 = (1-y(47)-params(4)*(1-y(15)))*(1-y(47)-params(4)*(1-y(15)));
T777 = (1-y(78)-params(4)*(1-y(47)))*(1-y(78)-params(4)*(1-y(47)));
T836 = T181*getPowerDeriv(y(52),(1-params(8))*(1-params(15)),1);
T847 = T180*getPowerDeriv(y(53),(1-params(8))*params(15),1);
T854 = (-y(54))/(y(18)*y(18));
T859 = 1/y(18);
T945 = 1/params(23);
T1068 = (-(T680*T680))/(T196*T196);
lhs =y(31)+y(32)+y(48);
rhs =y(68);
residual(1)= lhs-rhs;
lhs =y(59);
rhs =params(1)*y(56)/y(75)*y(84);
residual(2)= lhs-rhs;
lhs =y(59)*y(63)/y(66);
rhs =y(28)*y(52)^params(5);
residual(3)= lhs-rhs;
lhs =y(59)*y(54);
rhs =y(61)+y(84)*params(1)*y(81);
residual(4)= lhs-rhs;
lhs =y(32)+y(54)*(y(47)-y(15))+y(19)*y(7)/y(41);
rhs =y(64)*y(53)+y(29)+params(14)*log(y(25));
residual(5)= lhs-rhs;
lhs =y(60)*(1-y(50));
rhs =T159*y(85);
residual(6)= lhs-rhs;
lhs =y(64)*y(60)/y(67);
rhs =y(28)*y(53)^params(5);
residual(7)= lhs-rhs;
lhs =y(54)*y(60);
rhs =y(62)+y(85)*params(2)*y(81)+y(54)*params(7)*y(60)*(1-params(37))*y(50);
residual(8)= lhs-rhs;
lhs =y(68);
rhs =T182*T184;
residual(9)= lhs-rhs;
lhs =(1-params(8))*(1-params(15))*y(68);
rhs =y(52)*y(63)*y(65);
residual(10)= lhs-rhs;
lhs =(1-params(8))*params(15)*y(68);
rhs =y(53)*y(64)*y(65);
residual(11)= lhs-rhs;
lhs =T197-params(11)*log(T200);
rhs =params(1)*(log(T204)-T197*params(11))-T214*log(T215)+log(y(25))*(1-params(14));
residual(12)= lhs-rhs;
lhs =log(T224)-params(12)*log(T228);
rhs =params(1)*(log(T233)-log(T224)*params(12))-T243*log(T244)+log(y(27));
residual(13)= lhs-rhs;
lhs =log(T253)-params(12)*log(T256);
rhs =log(y(27))+params(1)*(log(T261)-params(12)*log(T253))-T243*log(T266);
residual(14)= lhs-rhs;
lhs =log(y(58));
rhs =params(18)*log(y(19))+(1-params(18))*params(16)*(T197*0.25+0.25*log(T283)+0.25*log(T288)+0.25*log(T293))+(1-params(18))*params(19)*log(T301)+T308*log(T310)+(1-params(18))*log(params(13)/params(1))+log(y(26));
residual(15)= lhs-rhs;
lhs =y(42);
rhs =y(10);
residual(16)= lhs-rhs;
lhs =y(43);
rhs =y(11);
residual(17)= lhs-rhs;
lhs =y(44);
rhs =y(12);
residual(18)= lhs-rhs;
lhs =y(59);
rhs =T331*(y(28)/(y(31)-params(3)*y(8))-params(1)*params(3)*y(72)/(y(73)-y(31)*params(3)));
residual(19)= lhs-rhs;
lhs =y(60);
rhs =T347*(y(28)/(y(32)-params(3)*y(9))-y(72)*params(2)*params(3)/(y(74)-y(32)*params(3)));
residual(20)= lhs-rhs;
lhs =y(61);
rhs =T365*(y(28)*y(23)/(1-y(47)-params(4)*(1-y(15)))-y(72)*params(1)*params(4)*y(70)/(1-y(78)-params(4)*(1-y(47))));
residual(21)= lhs-rhs;
lhs =y(62);
rhs =T387*(y(28)*y(23)/(y(47)-y(15)*params(4))-y(70)*y(72)*params(2)*params(4)/(y(78)-y(47)*params(4)));
residual(22)= lhs-rhs;
lhs =y(59)*y(55)*T407;
rhs =y(59)-params(9)*params(1)*y(84)*y(82)*(y(79)-y(48))/llik__;
residual(23)= lhs-rhs;
lhs =y(59)*y(55)/y(24);
rhs =params(1)*y(84)*(y(83)+(1-params(10))*y(82)/y(71));
residual(24)= lhs-rhs;
lhs =y(49)/y(24);
rhs =y(48)+(1-params(10))*y(17)/y(24);
residual(25)= lhs-rhs;
lhs =params(8)*y(68);
rhs =y(17)*y(65)*y(57);
residual(26)= lhs-rhs;
lhs =y(45);
rhs =y(63)*y(41)/y(20);
residual(27)= lhs-rhs;
lhs =y(46);
rhs =y(41)*y(64)/y(21);
residual(28)= lhs-rhs;
lhs =log(y(23));
rhs =params(24)*log(y(1))+y(69);
residual(29)= lhs-rhs;
lhs =y(69);
rhs =params(36)*y(22)+x(it_, 1);
residual(30)= lhs-rhs;
lhs =log(y(24));
rhs =params(25)*log(y(2))+x(it_, 2);
residual(31)= lhs-rhs;
lhs =log(y(25));
rhs =params(26)*log(y(3))+x(it_, 3);
residual(32)= lhs-rhs;
lhs =log(y(27));
rhs =params(28)*log(y(5))+x(it_, 5);
residual(33)= lhs-rhs;
lhs =log(y(26));
rhs =params(27)*log(y(4))+x(it_, 4);
residual(34)= lhs-rhs;
lhs =log(y(28));
rhs =params(29)*log(y(6))+x(it_, 6);
residual(35)= lhs-rhs;
lhs =y(33);
rhs =(y(31)+y(32))/llctot__-1;
residual(36)= lhs-rhs;
lhs =y(37);
rhs =params(15)*y(52)/lln__+(1-params(15))*y(53)/lln1__-1;
residual(37)= lhs-rhs;
lhs =y(36);
rhs =y(48)/llik__-1;
residual(38)= lhs-rhs;
lhs =y(38);
rhs =y(54)/llq__-1;
residual(39)= lhs-rhs;
lhs =y(39);
rhs =y(56)-params(13)/params(1);
residual(40)= lhs-rhs;
lhs =y(40);
rhs =y(58)-params(13)/params(1);
residual(41)= lhs-rhs;
lhs =y(34);
rhs =T197;
residual(42)= lhs-rhs;
lhs =y(35);
rhs =log(T532);
residual(43)= lhs-rhs;
residual(44) = y(50);
lhs =y(30);
rhs =y(47)*params(7)*(1-params(37))*y(54)+params(37)*y(7)/y(41);
residual(45)= lhs-rhs;
lhs =y(51);
rhs =y(29)-y(30);
residual(46)= lhs-rhs;
lhs =log(y(56));
rhs =log(y(58));
residual(47)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(47, 91);

  %
  % Jacobian matrix
  %

  g1(1,31)=1;
  g1(1,32)=1;
  g1(1,48)=1;
  g1(1,68)=(-1);
  g1(2,75)=(-(y(84)*(-(params(1)*y(56)))/(y(75)*y(75))));
  g1(2,56)=(-(y(84)*params(1)/y(75)));
  g1(2,59)=1;
  g1(2,84)=(-(params(1)*y(56)/y(75)));
  g1(3,28)=(-(y(52)^params(5)));
  g1(3,52)=(-(y(28)*getPowerDeriv(y(52),params(5),1)));
  g1(3,59)=y(63)/y(66);
  g1(3,63)=y(59)/y(66);
  g1(3,66)=(-(y(59)*y(63)))/(y(66)*y(66));
  g1(4,54)=y(59);
  g1(4,81)=(-(params(1)*y(84)));
  g1(4,59)=y(54);
  g1(4,84)=(-(params(1)*y(81)));
  g1(4,61)=(-1);
  g1(5,25)=(-(params(14)*1/y(25)));
  g1(5,7)=y(19)/y(41);
  g1(5,29)=(-1);
  g1(5,32)=1;
  g1(5,41)=(-(y(19)*y(7)))/(y(41)*y(41));
  g1(5,15)=(-y(54));
  g1(5,47)=y(54);
  g1(5,53)=(-y(64));
  g1(5,54)=y(47)-y(15);
  g1(5,19)=y(7)/y(41);
  g1(5,64)=(-y(53));
  g1(6,75)=(-(y(85)*T713));
  g1(6,50)=(-y(60));
  g1(6,80)=(-(y(85)*params(2)*(-(params(37)/y(75)))));
  g1(6,56)=(-(y(85)*params(2)*1/y(75)));
  g1(6,60)=1-y(50);
  g1(6,85)=(-T159);
  g1(7,28)=(-(y(53)^params(5)));
  g1(7,53)=(-(y(28)*getPowerDeriv(y(53),params(5),1)));
  g1(7,60)=y(64)/y(67);
  g1(7,64)=y(60)/y(67);
  g1(7,67)=(-(y(64)*y(60)))/(y(67)*y(67));
  g1(8,50)=(-(y(54)*params(7)*(1-params(37))*y(60)));
  g1(8,54)=y(60)-params(7)*y(60)*(1-params(37))*y(50);
  g1(8,81)=(-(params(2)*y(85)));
  g1(8,60)=y(54)-y(54)*params(7)*(1-params(37))*y(50);
  g1(8,85)=(-(params(2)*y(81)));
  g1(8,62)=(-1);
  g1(9,17)=(-(T182*getPowerDeriv(y(17),params(8),1)));
  g1(9,52)=(-(T184*T836));
  g1(9,53)=(-(T184*T847));
  g1(9,68)=1;
  g1(10,52)=(-(y(63)*y(65)));
  g1(10,63)=(-(y(52)*y(65)));
  g1(10,65)=(-(y(63)*y(52)));
  g1(10,68)=(1-params(8))*(1-params(15));
  g1(11,53)=(-(y(64)*y(65)));
  g1(11,64)=(-(y(53)*y(65)));
  g1(11,65)=(-(y(64)*y(53)));
  g1(11,68)=(1-params(8))*params(15);
  g1(12,25)=(-((1-params(14))*1/y(25)));
  g1(12,10)=(-(params(11)*T680/T200));
  g1(12,41)=T687-params(1)*(-(params(11)*T687));
  g1(12,75)=(-(params(1)*T680/T204));
  g1(12,65)=T214*1/params(22)/T215;
  g1(13,27)=(-(1/y(27)));
  g1(13,13)=(-(params(12)*T680/T228));
  g1(13,45)=T734-params(1)*(-(params(12)*T734));
  g1(13,76)=(-(params(1)*T680/T233));
  g1(13,66)=T243*T945/T244;
  g1(14,27)=(-(1/y(27)));
  g1(14,14)=(-(params(12)*T680/T256));
  g1(14,46)=T748-params(1)*(-(params(12)*T748));
  g1(14,77)=(-(params(1)*T680/T261));
  g1(14,67)=T243*T945/T266;
  g1(15,26)=(-(1/y(26)));
  g1(15,41)=(-((1-params(18))*params(16)*0.25*T687));
  g1(15,42)=(-((1-params(18))*params(16)*0.25*T680/T283));
  g1(15,43)=(-((1-params(18))*params(16)*0.25*T680/T288));
  g1(15,44)=(-((1-params(18))*params(16)*0.25*T680/T293));
  g1(15,18)=(-(T308*T854/T310));
  g1(15,54)=(-(T308*T859/T310));
  g1(15,19)=(-(params(18)*1/y(19)));
  g1(15,58)=1/y(58);
  g1(15,68)=(-((1-params(18))*params(19)*1/lly__/T301));
  g1(16,10)=(-1);
  g1(16,42)=1;
  g1(17,11)=(-1);
  g1(17,43)=1;
  g1(18,12)=(-1);
  g1(18,44)=1;
  g1(19,28)=(-(T331*1/(y(31)-params(3)*y(8))));
  g1(19,72)=(-(T331*(-(params(1)*params(3)/(y(73)-y(31)*params(3))))));
  g1(19,8)=(-(T331*(-(y(28)*(-params(3))))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
  g1(19,31)=(-(T331*((-y(28))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))-(-(params(1)*params(3)*y(72)*(-params(3))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))))));
  g1(19,73)=(-(T331*(-((-(params(1)*params(3)*y(72)))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
  g1(19,59)=1;
  g1(20,28)=(-(T347*1/(y(32)-params(3)*y(9))));
  g1(20,72)=(-(T347*(-(params(2)*params(3)/(y(74)-y(32)*params(3))))));
  g1(20,9)=(-(T347*(-(y(28)*(-params(3))))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
  g1(20,32)=(-(T347*((-y(28))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))-(-(y(72)*params(2)*params(3)*(-params(3))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))))));
  g1(20,74)=(-(T347*(-((-(y(72)*params(2)*params(3)))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
  g1(20,60)=1;
  g1(21,23)=(-(T365*y(28)/(1-y(47)-params(4)*(1-y(15)))));
  g1(21,70)=(-(T365*(-(y(72)*params(1)*params(4)/(1-y(78)-params(4)*(1-y(47)))))));
  g1(21,28)=(-(T365*y(23)/(1-y(47)-params(4)*(1-y(15)))));
  g1(21,72)=(-(T365*(-(params(1)*params(4)*y(70)/(1-y(78)-params(4)*(1-y(47)))))));
  g1(21,15)=(-(T365*(-(params(4)*y(28)*y(23)))/T763));
  g1(21,47)=(-(T365*(y(28)*y(23)/T763-(-(params(4)*y(72)*params(1)*params(4)*y(70)))/T777)));
  g1(21,78)=(-(T365*(-(y(72)*params(1)*params(4)*y(70)/T777))));
  g1(21,61)=1;
  g1(22,23)=(-(T387*y(28)/(y(47)-y(15)*params(4))));
  g1(22,70)=(-(T387*(-(y(72)*params(2)*params(4)/(y(78)-y(47)*params(4))))));
  g1(22,28)=(-(T387*y(23)/(y(47)-y(15)*params(4))));
  g1(22,72)=(-(T387*(-(y(70)*params(2)*params(4)/(y(78)-y(47)*params(4))))));
  g1(22,15)=(-(T387*(-(y(28)*y(23)*(-params(4))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  g1(22,47)=(-(T387*((-(y(28)*y(23)))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))-(-(y(70)*y(72)*params(2)*params(4)*(-params(4))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))))));
  g1(22,78)=(-(T387*(-((-(y(70)*y(72)*params(2)*params(4)))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  g1(22,62)=1;
  g1(23,16)=y(59)*y(55)*(-((-params(9))/llik__));
  g1(23,48)=y(59)*y(55)*(-(params(9)/llik__))-(-((-(params(9)*params(1)*y(84)*y(82)))/llik__));
  g1(23,79)=params(9)*params(1)*y(84)*y(82)/llik__;
  g1(23,55)=y(59)*T407;
  g1(23,82)=(y(79)-y(48))*params(9)*params(1)*y(84)/llik__;
  g1(23,59)=y(55)*T407-1;
  g1(23,84)=(y(79)-y(48))*params(9)*params(1)*y(82)/llik__;
  g1(24,24)=(-(y(59)*y(55)))/(y(24)*y(24));
  g1(24,71)=(-(params(1)*y(84)*(-((1-params(10))*y(82)))/(y(71)*y(71))));
  g1(24,55)=y(59)/y(24);
  g1(24,82)=(-(params(1)*y(84)*(1-params(10))/y(71)));
  g1(24,83)=(-(params(1)*y(84)));
  g1(24,59)=y(55)/y(24);
  g1(24,84)=(-(params(1)*(y(83)+(1-params(10))*y(82)/y(71))));
  g1(25,24)=(-y(49))/(y(24)*y(24))-(-((1-params(10))*y(17)))/(y(24)*y(24));
  g1(25,48)=(-1);
  g1(25,17)=(-((1-params(10))/y(24)));
  g1(25,49)=1/y(24);
  g1(26,17)=(-(y(65)*y(57)));
  g1(26,57)=(-(y(17)*y(65)));
  g1(26,65)=(-(y(17)*y(57)));
  g1(26,68)=params(8);
  g1(27,41)=(-(y(63)/y(20)));
  g1(27,45)=1;
  g1(27,20)=(-((-(y(63)*y(41)))/(y(20)*y(20))));
  g1(27,63)=(-(y(41)/y(20)));
  g1(28,41)=(-(y(64)/y(21)));
  g1(28,46)=1;
  g1(28,21)=(-((-(y(41)*y(64)))/(y(21)*y(21))));
  g1(28,64)=(-(y(41)/y(21)));
  g1(29,1)=(-(params(24)*1/y(1)));
  g1(29,23)=1/y(23);
  g1(29,69)=(-1);
  g1(30,22)=(-params(36));
  g1(30,69)=1;
  g1(30,86)=(-1);
  g1(31,2)=(-(params(25)*1/y(2)));
  g1(31,24)=1/y(24);
  g1(31,87)=(-1);
  g1(32,3)=(-(params(26)*1/y(3)));
  g1(32,25)=1/y(25);
  g1(32,88)=(-1);
  g1(33,5)=(-(params(28)*1/y(5)));
  g1(33,27)=1/y(27);
  g1(33,90)=(-1);
  g1(34,4)=(-(params(27)*1/y(4)));
  g1(34,26)=1/y(26);
  g1(34,89)=(-1);
  g1(35,6)=(-(params(29)*1/y(6)));
  g1(35,28)=1/y(28);
  g1(35,91)=(-1);
  g1(36,31)=(-(1/llctot__));
  g1(36,32)=(-(1/llctot__));
  g1(36,33)=1;
  g1(37,37)=1;
  g1(37,52)=(-(params(15)/lln__));
  g1(37,53)=(-((1-params(15))/lln1__));
  g1(38,36)=1;
  g1(38,48)=(-(1/llik__));
  g1(39,38)=1;
  g1(39,54)=(-(1/llq__));
  g1(40,39)=1;
  g1(40,56)=(-1);
  g1(41,40)=1;
  g1(41,58)=(-1);
  g1(42,34)=1;
  g1(42,41)=(-T687);
  g1(43,35)=1;
  g1(43,45)=(-(T739/T532));
  g1(43,46)=(-(T753/T532));
  g1(44,50)=1;
  g1(45,7)=(-(params(37)/y(41)));
  g1(45,30)=1;
  g1(45,41)=(-((-(params(37)*y(7)))/(y(41)*y(41))));
  g1(45,47)=(-(params(7)*(1-params(37))*y(54)));
  g1(45,54)=(-(params(7)*(1-params(37))*y(47)));
  g1(46,29)=(-1);
  g1(46,30)=1;
  g1(46,51)=1;
  g1(47,56)=1/y(56);
  g1(47,58)=(-(1/y(58)));
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  v2 = zeros(283,3);
  v2(1,1)=2;
  v2(1,2)=6809;
  v2(1,3)=(-(y(84)*(-((-(params(1)*y(56)))*(y(75)+y(75))))/(y(75)*y(75)*y(75)*y(75))));
  v2(2,1)=2;
  v2(2,2)=5080;
  v2(2,3)=(-(y(84)*(-params(1))/(y(75)*y(75))));
  v2(3,1)=2;
  v2(3,2)=6790;
  v2(3,3)=  v2(2,3);
  v2(4,1)=2;
  v2(4,2)=7628;
  v2(4,3)=(-((-(params(1)*y(56)))/(y(75)*y(75))));
  v2(5,1)=2;
  v2(5,2)=6818;
  v2(5,3)=  v2(4,3);
  v2(6,1)=2;
  v2(6,2)=7609;
  v2(6,3)=(-(params(1)/y(75)));
  v2(7,1)=2;
  v2(7,2)=5089;
  v2(7,3)=  v2(6,3);
  v2(8,1)=3;
  v2(8,2)=4669;
  v2(8,3)=(-(getPowerDeriv(y(52),params(5),1)));
  v2(9,1)=3;
  v2(9,2)=2509;
  v2(9,3)=  v2(8,3);
  v2(10,1)=3;
  v2(10,2)=4693;
  v2(10,3)=(-(y(28)*getPowerDeriv(y(52),params(5),2)));
  v2(11,1)=3;
  v2(11,2)=5701;
  v2(11,3)=1/y(66);
  v2(12,1)=3;
  v2(12,2)=5341;
  v2(12,3)=  v2(11,3);
  v2(13,1)=3;
  v2(13,2)=5974;
  v2(13,3)=(-y(63))/(y(66)*y(66));
  v2(14,1)=3;
  v2(14,2)=5344;
  v2(14,3)=  v2(13,3);
  v2(15,1)=3;
  v2(15,2)=5978;
  v2(15,3)=(-y(59))/(y(66)*y(66));
  v2(16,1)=3;
  v2(16,2)=5708;
  v2(16,3)=  v2(15,3);
  v2(17,1)=3;
  v2(17,2)=5981;
  v2(17,3)=(-((-(y(59)*y(63)))*(y(66)+y(66))))/(y(66)*y(66)*y(66)*y(66));
  v2(18,1)=4;
  v2(18,2)=5332;
  v2(18,3)=1;
  v2(19,1)=4;
  v2(19,2)=4882;
  v2(19,3)=  v2(18,3);
  v2(20,1)=4;
  v2(20,2)=7634;
  v2(20,3)=(-params(1));
  v2(21,1)=4;
  v2(21,2)=7364;
  v2(21,3)=  v2(20,3);
  v2(22,1)=5;
  v2(22,2)=2209;
  v2(22,3)=(-(params(14)*(-1)/(y(25)*y(25))));
  v2(23,1)=5;
  v2(23,2)=3647;
  v2(23,3)=(-y(19))/(y(41)*y(41));
  v2(24,1)=5;
  v2(24,2)=587;
  v2(24,3)=  v2(23,3);
  v2(25,1)=5;
  v2(25,2)=3681;
  v2(25,3)=(-((-(y(19)*y(7)))*(y(41)+y(41))))/(y(41)*y(41)*y(41)*y(41));
  v2(26,1)=5;
  v2(26,2)=4838;
  v2(26,3)=(-1);
  v2(27,1)=5;
  v2(27,2)=1328;
  v2(27,3)=  v2(26,3);
  v2(28,1)=5;
  v2(28,2)=4870;
  v2(28,3)=1;
  v2(29,1)=5;
  v2(29,2)=4240;
  v2(29,3)=  v2(28,3);
  v2(30,1)=5;
  v2(30,2)=1645;
  v2(30,3)=1/y(41);
  v2(31,1)=5;
  v2(31,2)=565;
  v2(31,3)=  v2(30,3);
  v2(32,1)=5;
  v2(32,2)=1679;
  v2(32,3)=(-y(7))/(y(41)*y(41));
  v2(33,1)=5;
  v2(33,2)=3659;
  v2(33,3)=  v2(32,3);
  v2(34,1)=5;
  v2(34,2)=5786;
  v2(34,3)=(-1);
  v2(35,1)=5;
  v2(35,2)=4796;
  v2(35,3)=  v2(34,3);
  v2(36,1)=6;
  v2(36,2)=6809;
  v2(36,3)=(-(y(85)*params(2)*((-((-y(56))*(y(75)+y(75))))/(y(75)*y(75)*y(75)*y(75))-(-((-(params(37)*y(80)))*(y(75)+y(75))))/(y(75)*y(75)*y(75)*y(75)))));
  v2(37,1)=6;
  v2(37,2)=7264;
  v2(37,3)=(-(y(85)*params(2)*(-((-params(37))/(y(75)*y(75))))));
  v2(38,1)=6;
  v2(38,2)=6814;
  v2(38,3)=  v2(37,3);
  v2(39,1)=6;
  v2(39,2)=5080;
  v2(39,3)=(-(y(85)*params(2)*(-1)/(y(75)*y(75))));
  v2(40,1)=6;
  v2(40,2)=6790;
  v2(40,3)=  v2(39,3);
  v2(41,1)=6;
  v2(41,2)=5419;
  v2(41,3)=(-1);
  v2(42,1)=6;
  v2(42,2)=4519;
  v2(42,3)=  v2(41,3);
  v2(43,1)=6;
  v2(43,2)=7719;
  v2(43,3)=(-T713);
  v2(44,1)=6;
  v2(44,2)=6819;
  v2(44,3)=  v2(43,3);
  v2(45,1)=6;
  v2(45,2)=7724;
  v2(45,3)=(-(params(2)*(-(params(37)/y(75)))));
  v2(46,1)=6;
  v2(46,2)=7274;
  v2(46,3)=  v2(45,3);
  v2(47,1)=6;
  v2(47,2)=7700;
  v2(47,3)=(-(params(2)*1/y(75)));
  v2(48,1)=6;
  v2(48,2)=5090;
  v2(48,3)=  v2(47,3);
  v2(49,1)=7;
  v2(49,2)=4760;
  v2(49,3)=(-(getPowerDeriv(y(53),params(5),1)));
  v2(50,1)=7;
  v2(50,2)=2510;
  v2(50,3)=  v2(49,3);
  v2(51,1)=7;
  v2(51,2)=4785;
  v2(51,3)=(-(y(28)*getPowerDeriv(y(53),params(5),2)));
  v2(52,1)=7;
  v2(52,2)=5793;
  v2(52,3)=1/y(67);
  v2(53,1)=7;
  v2(53,2)=5433;
  v2(53,3)=  v2(52,3);
  v2(54,1)=7;
  v2(54,2)=6066;
  v2(54,3)=(-y(64))/(y(67)*y(67));
  v2(55,1)=7;
  v2(55,2)=5436;
  v2(55,3)=  v2(54,3);
  v2(56,1)=7;
  v2(56,2)=6070;
  v2(56,3)=(-y(60))/(y(67)*y(67));
  v2(57,1)=7;
  v2(57,2)=5800;
  v2(57,3)=  v2(56,3);
  v2(58,1)=7;
  v2(58,2)=6073;
  v2(58,3)=(-((-(y(64)*y(60)))*(y(67)+y(67))))/(y(67)*y(67)*y(67)*y(67));
  v2(59,1)=8;
  v2(59,2)=4873;
  v2(59,3)=(-(params(7)*(1-params(37))*y(60)));
  v2(60,1)=8;
  v2(60,2)=4513;
  v2(60,3)=  v2(59,3);
  v2(61,1)=8;
  v2(61,2)=5419;
  v2(61,3)=(-(params(7)*(1-params(37))*y(54)));
  v2(62,1)=8;
  v2(62,2)=4519;
  v2(62,3)=  v2(61,3);
  v2(63,1)=8;
  v2(63,2)=5423;
  v2(63,3)=1-params(7)*(1-params(37))*y(50);
  v2(64,1)=8;
  v2(64,2)=4883;
  v2(64,3)=  v2(63,3);
  v2(65,1)=8;
  v2(65,2)=7725;
  v2(65,3)=(-params(2));
  v2(66,1)=8;
  v2(66,2)=7365;
  v2(66,3)=  v2(65,3);
  v2(67,1)=9;
  v2(67,2)=1473;
  v2(67,3)=(-(T182*getPowerDeriv(y(17),params(8),2)));
  v2(68,1)=9;
  v2(68,2)=4658;
  v2(68,3)=(-(getPowerDeriv(y(17),params(8),1)*T836));
  v2(69,1)=9;
  v2(69,2)=1508;
  v2(69,3)=  v2(68,3);
  v2(70,1)=9;
  v2(70,2)=4693;
  v2(70,3)=(-(T184*T181*getPowerDeriv(y(52),(1-params(8))*(1-params(15)),2)));
  v2(71,1)=9;
  v2(71,2)=4749;
  v2(71,3)=(-(getPowerDeriv(y(17),params(8),1)*T847));
  v2(72,1)=9;
  v2(72,2)=1509;
  v2(72,3)=  v2(71,3);
  v2(73,1)=9;
  v2(73,2)=4784;
  v2(73,3)=(-(T184*getPowerDeriv(y(52),(1-params(8))*(1-params(15)),1)*getPowerDeriv(y(53),(1-params(8))*params(15),1)));
  v2(74,1)=9;
  v2(74,2)=4694;
  v2(74,3)=  v2(73,3);
  v2(75,1)=9;
  v2(75,2)=4785;
  v2(75,3)=(-(T184*T180*getPowerDeriv(y(53),(1-params(8))*params(15),2)));
  v2(76,1)=10;
  v2(76,2)=5694;
  v2(76,3)=(-y(65));
  v2(77,1)=10;
  v2(77,2)=4704;
  v2(77,3)=  v2(76,3);
  v2(78,1)=10;
  v2(78,2)=5876;
  v2(78,3)=(-y(63));
  v2(79,1)=10;
  v2(79,2)=4706;
  v2(79,3)=  v2(78,3);
  v2(80,1)=10;
  v2(80,2)=5887;
  v2(80,3)=(-y(52));
  v2(81,1)=10;
  v2(81,2)=5707;
  v2(81,3)=  v2(80,3);
  v2(82,1)=11;
  v2(82,2)=5786;
  v2(82,3)=(-y(65));
  v2(83,1)=11;
  v2(83,2)=4796;
  v2(83,3)=  v2(82,3);
  v2(84,1)=11;
  v2(84,2)=5877;
  v2(84,3)=(-y(64));
  v2(85,1)=11;
  v2(85,2)=4797;
  v2(85,3)=  v2(84,3);
  v2(86,1)=11;
  v2(86,2)=5888;
  v2(86,3)=(-y(53));
  v2(87,1)=11;
  v2(87,2)=5798;
  v2(87,3)=  v2(86,3);
  v2(88,1)=12;
  v2(88,2)=2209;
  v2(88,3)=(-((1-params(14))*(-1)/(y(25)*y(25))));
  v2(89,1)=12;
  v2(89,2)=829;
  v2(89,3)=(-(params(11)*(-(T680*T680))/(T200*T200)));
  v2(90,1)=12;
  v2(90,2)=3681;
  v2(90,3)=T1068-params(1)*(-(params(11)*T1068));
  v2(91,1)=12;
  v2(91,2)=6809;
  v2(91,3)=(-(params(1)*(-(T680*T680))/(T204*T204)));
  v2(92,1)=12;
  v2(92,2)=5889;
  v2(92,3)=T214*(-(1/params(22)*1/params(22)))/(T215*T215);
  v2(93,1)=13;
  v2(93,2)=2393;
  v2(93,3)=(-((-1)/(y(27)*y(27))));
  v2(94,1)=13;
  v2(94,2)=1105;
  v2(94,3)=(-(params(12)*(-(T680*T680))/(T228*T228)));
  v2(95,1)=13;
  v2(95,2)=4049;
  v2(95,3)=(-(T680*T680))/(T224*T224)-params(1)*(-(params(12)*(-(T680*T680))/(T224*T224)));
  v2(96,1)=13;
  v2(96,2)=6901;
  v2(96,3)=(-(params(1)*(-(T680*T680))/(T233*T233)));
  v2(97,1)=13;
  v2(97,2)=5981;
  v2(97,3)=T243*(-(T945*T945))/(T244*T244);
  v2(98,1)=14;
  v2(98,2)=2393;
  v2(98,3)=(-((-1)/(y(27)*y(27))));
  v2(99,1)=14;
  v2(99,2)=1197;
  v2(99,3)=(-(params(12)*(-(T680*T680))/(T256*T256)));
  v2(100,1)=14;
  v2(100,2)=4141;
  v2(100,3)=(-(T680*T680))/(T253*T253)-params(1)*(-(params(12)*(-(T680*T680))/(T253*T253)));
  v2(101,1)=14;
  v2(101,2)=6993;
  v2(101,3)=(-(params(1)*(-(T680*T680))/(T261*T261)));
  v2(102,1)=14;
  v2(102,2)=6073;
  v2(102,3)=T243*(-(T945*T945))/(T266*T266);
  v2(103,1)=15;
  v2(103,2)=2301;
  v2(103,3)=(-((-1)/(y(26)*y(26))));
  v2(104,1)=15;
  v2(104,2)=3681;
  v2(104,3)=(-((1-params(18))*params(16)*0.25*T1068));
  v2(105,1)=15;
  v2(105,2)=3773;
  v2(105,3)=(-((1-params(18))*params(16)*0.25*(-(T680*T680))/(T283*T283)));
  v2(106,1)=15;
  v2(106,2)=3865;
  v2(106,3)=(-((1-params(18))*params(16)*0.25*(-(T680*T680))/(T288*T288)));
  v2(107,1)=15;
  v2(107,2)=3957;
  v2(107,3)=(-((1-params(18))*params(16)*0.25*(-(T680*T680))/(T293*T293)));
  v2(108,1)=15;
  v2(108,2)=1565;
  v2(108,3)=(-(T308*(T310*(-((-y(54))*(y(18)+y(18))))/(y(18)*y(18)*y(18)*y(18))-T854*T854)/(T310*T310)));
  v2(109,1)=15;
  v2(109,2)=4841;
  v2(109,3)=(-(T308*(T310*(-1)/(y(18)*y(18))-T854*T859)/(T310*T310)));
  v2(110,1)=15;
  v2(110,2)=1601;
  v2(110,3)=  v2(109,3);
  v2(111,1)=15;
  v2(111,2)=4877;
  v2(111,3)=(-(T308*(-(T859*T859))/(T310*T310)));
  v2(112,1)=15;
  v2(112,2)=1657;
  v2(112,3)=(-(params(18)*(-1)/(y(19)*y(19))));
  v2(113,1)=15;
  v2(113,2)=5245;
  v2(113,3)=(-1)/(y(58)*y(58));
  v2(114,1)=15;
  v2(114,2)=6165;
  v2(114,3)=(-((1-params(18))*params(19)*(-(1/lly__*1/lly__))/(T301*T301)));
  v2(115,1)=19;
  v2(115,2)=665;
  v2(115,3)=(-(T331*params(3)/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
  v2(116,1)=19;
  v2(116,2)=2465;
  v2(116,3)=  v2(115,3);
  v2(117,1)=19;
  v2(117,2)=645;
  v2(117,3)=(-(T331*(-((-(y(28)*(-params(3))))*((y(31)-params(3)*y(8))*(-params(3))+(y(31)-params(3)*y(8))*(-params(3)))))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
  v2(118,1)=19;
  v2(118,2)=2758;
  v2(118,3)=(-(T331*(-1)/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
  v2(119,1)=19;
  v2(119,2)=2488;
  v2(119,3)=  v2(118,3);
  v2(120,1)=19;
  v2(120,2)=2802;
  v2(120,3)=(-(T331*(-((-(params(1)*params(3)*(-params(3))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
  v2(121,1)=19;
  v2(121,2)=6492;
  v2(121,3)=  v2(120,3);
  v2(122,1)=19;
  v2(122,2)=2738;
  v2(122,3)=(-(T331*(-((-y(28))*((y(31)-params(3)*y(8))*(-params(3))+(y(31)-params(3)*y(8))*(-params(3)))))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))));
  v2(123,1)=19;
  v2(123,2)=668;
  v2(123,3)=  v2(122,3);
  v2(124,1)=19;
  v2(124,2)=2761;
  v2(124,3)=(-(T331*((-((-y(28))*(y(31)-params(3)*y(8)+y(31)-params(3)*y(8))))/((y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8))*(y(31)-params(3)*y(8)))-(-((-(params(1)*params(3)*y(72)*(-params(3))))*((y(73)-y(31)*params(3))*(-params(3))+(y(73)-y(31)*params(3))*(-params(3)))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))))));
  v2(125,1)=19;
  v2(125,2)=6624;
  v2(125,3)=(-(T331*(-((-(params(1)*params(3)))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
  v2(126,1)=19;
  v2(126,2)=6534;
  v2(126,3)=  v2(125,3);
  v2(127,1)=19;
  v2(127,2)=6583;
  v2(127,3)=(-(T331*(-((-((-(params(1)*params(3)*y(72)))*((y(73)-y(31)*params(3))*(-params(3))+(y(73)-y(31)*params(3))*(-params(3)))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
  v2(128,1)=19;
  v2(128,2)=2803;
  v2(128,3)=  v2(127,3);
  v2(129,1)=19;
  v2(129,2)=6625;
  v2(129,3)=(-(T331*(-((-((-(params(1)*params(3)*y(72)))*(y(73)-y(31)*params(3)+y(73)-y(31)*params(3))))/((y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3))*(y(73)-y(31)*params(3)))))));
  v2(130,1)=20;
  v2(130,2)=756;
  v2(130,3)=(-(T347*params(3)/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
  v2(131,1)=20;
  v2(131,2)=2466;
  v2(131,3)=  v2(130,3);
  v2(132,1)=20;
  v2(132,2)=737;
  v2(132,3)=(-(T347*(-((-(y(28)*(-params(3))))*((y(32)-params(3)*y(9))*(-params(3))+(y(32)-params(3)*y(9))*(-params(3)))))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
  v2(133,1)=20;
  v2(133,2)=2849;
  v2(133,3)=(-(T347*(-1)/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
  v2(134,1)=20;
  v2(134,2)=2489;
  v2(134,3)=  v2(133,3);
  v2(135,1)=20;
  v2(135,2)=2893;
  v2(135,3)=(-(T347*(-((-(params(2)*params(3)*(-params(3))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
  v2(136,1)=20;
  v2(136,2)=6493;
  v2(136,3)=  v2(135,3);
  v2(137,1)=20;
  v2(137,2)=2830;
  v2(137,3)=(-(T347*(-((-y(28))*((y(32)-params(3)*y(9))*(-params(3))+(y(32)-params(3)*y(9))*(-params(3)))))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))));
  v2(138,1)=20;
  v2(138,2)=760;
  v2(138,3)=  v2(137,3);
  v2(139,1)=20;
  v2(139,2)=2853;
  v2(139,3)=(-(T347*((-((-y(28))*(y(32)-params(3)*y(9)+y(32)-params(3)*y(9))))/((y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9))*(y(32)-params(3)*y(9)))-(-((-(y(72)*params(2)*params(3)*(-params(3))))*((y(74)-y(32)*params(3))*(-params(3))+(y(74)-y(32)*params(3))*(-params(3)))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))))));
  v2(140,1)=20;
  v2(140,2)=6715;
  v2(140,3)=(-(T347*(-((-(params(2)*params(3)))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
  v2(141,1)=20;
  v2(141,2)=6535;
  v2(141,3)=  v2(140,3);
  v2(142,1)=20;
  v2(142,2)=6675;
  v2(142,3)=(-(T347*(-((-((-(y(72)*params(2)*params(3)))*((y(74)-y(32)*params(3))*(-params(3))+(y(74)-y(32)*params(3))*(-params(3)))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
  v2(143,1)=20;
  v2(143,2)=2895;
  v2(143,3)=  v2(142,3);
  v2(144,1)=20;
  v2(144,2)=6717;
  v2(144,3)=(-(T347*(-((-((-(y(72)*params(2)*params(3)))*(y(74)-y(32)*params(3)+y(74)-y(32)*params(3))))/((y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3))*(y(74)-y(32)*params(3)))))));
  v2(145,1)=21;
  v2(145,2)=2480;
  v2(145,3)=(-(T365*1/(1-y(47)-params(4)*(1-y(15)))));
  v2(146,1)=21;
  v2(146,2)=2030;
  v2(146,3)=  v2(145,3);
  v2(147,1)=21;
  v2(147,2)=6531;
  v2(147,3)=(-(T365*(-(params(1)*params(4)/(1-y(78)-params(4)*(1-y(47)))))));
  v2(148,1)=21;
  v2(148,2)=6351;
  v2(148,3)=  v2(147,3);
  v2(149,1)=21;
  v2(149,2)=1297;
  v2(149,3)=(-(T365*(-(y(28)*params(4)))/T763));
  v2(150,1)=21;
  v2(150,2)=2017;
  v2(150,3)=  v2(149,3);
  v2(151,1)=21;
  v2(151,2)=1302;
  v2(151,3)=(-(T365*(-(params(4)*y(23)))/T763));
  v2(152,1)=21;
  v2(152,2)=2472;
  v2(152,3)=  v2(151,3);
  v2(153,1)=21;
  v2(153,2)=1289;
  v2(153,3)=(-(T365*(-((-(params(4)*y(28)*y(23)))*(params(4)*(1-y(47)-params(4)*(1-y(15)))+params(4)*(1-y(47)-params(4)*(1-y(15))))))/(T763*T763)));
  v2(154,1)=21;
  v2(154,2)=4209;
  v2(154,3)=(-(T365*y(28)/T763));
  v2(155,1)=21;
  v2(155,2)=2049;
  v2(155,3)=  v2(154,3);
  v2(156,1)=21;
  v2(156,2)=4256;
  v2(156,3)=(-(T365*(-((-(params(4)*y(72)*params(1)*params(4)))/T777))));
  v2(157,1)=21;
  v2(157,2)=6326;
  v2(157,3)=  v2(156,3);
  v2(158,1)=21;
  v2(158,2)=4214;
  v2(158,3)=(-(T365*y(23)/T763));
  v2(159,1)=21;
  v2(159,2)=2504;
  v2(159,3)=  v2(158,3);
  v2(160,1)=21;
  v2(160,2)=4258;
  v2(160,3)=(-(T365*(-((-(params(4)*params(1)*params(4)*y(70)))/T777))));
  v2(161,1)=21;
  v2(161,2)=6508;
  v2(161,3)=  v2(160,3);
  v2(162,1)=21;
  v2(162,2)=4201;
  v2(162,3)=(-(T365*(-(y(28)*y(23)*(params(4)*(1-y(47)-params(4)*(1-y(15)))+params(4)*(1-y(47)-params(4)*(1-y(15))))))/(T763*T763)));
  v2(163,1)=21;
  v2(163,2)=1321;
  v2(163,3)=  v2(162,3);
  v2(164,1)=21;
  v2(164,2)=4233;
  v2(164,3)=(-(T365*((-(y(28)*y(23)*((-(1-y(47)-params(4)*(1-y(15))))-(1-y(47)-params(4)*(1-y(15))))))/(T763*T763)-(-((-(params(4)*y(72)*params(1)*params(4)*y(70)))*(params(4)*(1-y(78)-params(4)*(1-y(47)))+params(4)*(1-y(78)-params(4)*(1-y(47))))))/(T777*T777))));
  v2(165,1)=21;
  v2(165,2)=7077;
  v2(165,3)=(-(T365*(-(y(72)*params(1)*params(4)/T777))));
  v2(166,1)=21;
  v2(166,2)=6357;
  v2(166,3)=  v2(165,3);
  v2(167,1)=21;
  v2(167,2)=7079;
  v2(167,3)=(-(T365*(-(params(1)*params(4)*y(70)/T777))));
  v2(168,1)=21;
  v2(168,2)=6539;
  v2(168,3)=  v2(167,3);
  v2(169,1)=21;
  v2(169,2)=7054;
  v2(169,3)=(-(T365*(-((-(y(72)*params(1)*params(4)*y(70)*(params(4)*(1-y(78)-params(4)*(1-y(47)))+params(4)*(1-y(78)-params(4)*(1-y(47))))))/(T777*T777)))));
  v2(170,1)=21;
  v2(170,2)=4264;
  v2(170,3)=  v2(169,3);
  v2(171,1)=21;
  v2(171,2)=7085;
  v2(171,3)=(-(T365*(-((-(y(72)*params(1)*params(4)*y(70)*((-(1-y(78)-params(4)*(1-y(47))))-(1-y(78)-params(4)*(1-y(47))))))/(T777*T777)))));
  v2(172,1)=22;
  v2(172,2)=2480;
  v2(172,3)=(-(T387*1/(y(47)-y(15)*params(4))));
  v2(173,1)=22;
  v2(173,2)=2030;
  v2(173,3)=  v2(172,3);
  v2(174,1)=22;
  v2(174,2)=6531;
  v2(174,3)=(-(T387*(-(params(2)*params(4)/(y(78)-y(47)*params(4))))));
  v2(175,1)=22;
  v2(175,2)=6351;
  v2(175,3)=  v2(174,3);
  v2(176,1)=22;
  v2(176,2)=1297;
  v2(176,3)=(-(T387*(-(y(28)*(-params(4))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(177,1)=22;
  v2(177,2)=2017;
  v2(177,3)=  v2(176,3);
  v2(178,1)=22;
  v2(178,2)=1302;
  v2(178,3)=(-(T387*(-(y(23)*(-params(4))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(179,1)=22;
  v2(179,2)=2472;
  v2(179,3)=  v2(178,3);
  v2(180,1)=22;
  v2(180,2)=1289;
  v2(180,3)=(-(T387*(-((-(y(28)*y(23)*(-params(4))))*((y(47)-y(15)*params(4))*(-params(4))+(y(47)-y(15)*params(4))*(-params(4)))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(181,1)=22;
  v2(181,2)=4209;
  v2(181,3)=(-(T387*(-y(28))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(182,1)=22;
  v2(182,2)=2049;
  v2(182,3)=  v2(181,3);
  v2(183,1)=22;
  v2(183,2)=4256;
  v2(183,3)=(-(T387*(-((-(y(72)*params(2)*params(4)*(-params(4))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(184,1)=22;
  v2(184,2)=6326;
  v2(184,3)=  v2(183,3);
  v2(185,1)=22;
  v2(185,2)=4214;
  v2(185,3)=(-(T387*(-y(23))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(186,1)=22;
  v2(186,2)=2504;
  v2(186,3)=  v2(185,3);
  v2(187,1)=22;
  v2(187,2)=4258;
  v2(187,3)=(-(T387*(-((-(y(70)*params(2)*params(4)*(-params(4))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(188,1)=22;
  v2(188,2)=6508;
  v2(188,3)=  v2(187,3);
  v2(189,1)=22;
  v2(189,2)=4201;
  v2(189,3)=(-(T387*(-((-(y(28)*y(23)))*((y(47)-y(15)*params(4))*(-params(4))+(y(47)-y(15)*params(4))*(-params(4)))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))));
  v2(190,1)=22;
  v2(190,2)=1321;
  v2(190,3)=  v2(189,3);
  v2(191,1)=22;
  v2(191,2)=4233;
  v2(191,3)=(-(T387*((-((-(y(28)*y(23)))*(y(47)-y(15)*params(4)+y(47)-y(15)*params(4))))/((y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4))*(y(47)-y(15)*params(4)))-(-((-(y(70)*y(72)*params(2)*params(4)*(-params(4))))*((y(78)-y(47)*params(4))*(-params(4))+(y(78)-y(47)*params(4))*(-params(4)))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))))));
  v2(192,1)=22;
  v2(192,2)=7077;
  v2(192,3)=(-(T387*(-((-(y(72)*params(2)*params(4)))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(193,1)=22;
  v2(193,2)=6357;
  v2(193,3)=  v2(192,3);
  v2(194,1)=22;
  v2(194,2)=7079;
  v2(194,3)=(-(T387*(-((-(y(70)*params(2)*params(4)))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(195,1)=22;
  v2(195,2)=6539;
  v2(195,3)=  v2(194,3);
  v2(196,1)=22;
  v2(196,2)=7054;
  v2(196,3)=(-(T387*(-((-((-(y(70)*y(72)*params(2)*params(4)))*((y(78)-y(47)*params(4))*(-params(4))+(y(78)-y(47)*params(4))*(-params(4)))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(197,1)=22;
  v2(197,2)=4264;
  v2(197,3)=  v2(196,3);
  v2(198,1)=22;
  v2(198,2)=7085;
  v2(198,3)=(-(T387*(-((-((-(y(70)*y(72)*params(2)*params(4)))*(y(78)-y(47)*params(4)+y(78)-y(47)*params(4))))/((y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4))*(y(78)-y(47)*params(4)))))));
  v2(199,1)=23;
  v2(199,2)=4930;
  v2(199,3)=y(59)*(-((-params(9))/llik__));
  v2(200,1)=23;
  v2(200,2)=1420;
  v2(200,3)=  v2(199,3);
  v2(201,1)=23;
  v2(201,2)=4962;
  v2(201,3)=y(59)*(-(params(9)/llik__));
  v2(202,1)=23;
  v2(202,2)=4332;
  v2(202,3)=  v2(201,3);
  v2(203,1)=23;
  v2(203,2)=7419;
  v2(203,3)=(-(params(9)*params(1)*y(84)))/llik__;
  v2(204,1)=23;
  v2(204,2)=4359;
  v2(204,3)=  v2(203,3);
  v2(205,1)=23;
  v2(205,2)=7450;
  v2(205,3)=params(9)*params(1)*y(84)/llik__;
  v2(206,1)=23;
  v2(206,2)=7180;
  v2(206,3)=  v2(205,3);
  v2(207,1)=23;
  v2(207,2)=5294;
  v2(207,3)=y(55)*(-((-params(9))/llik__));
  v2(208,1)=23;
  v2(208,2)=1424;
  v2(208,3)=  v2(207,3);
  v2(209,1)=23;
  v2(209,2)=5326;
  v2(209,3)=y(55)*(-(params(9)/llik__));
  v2(210,1)=23;
  v2(210,2)=4336;
  v2(210,3)=  v2(209,3);
  v2(211,1)=23;
  v2(211,2)=5333;
  v2(211,3)=T407;
  v2(212,1)=23;
  v2(212,2)=4973;
  v2(212,3)=  v2(211,3);
  v2(213,1)=23;
  v2(213,2)=7601;
  v2(213,3)=(-(params(9)*params(1)*y(82)))/llik__;
  v2(214,1)=23;
  v2(214,2)=4361;
  v2(214,3)=  v2(213,3);
  v2(215,1)=23;
  v2(215,2)=7632;
  v2(215,3)=params(9)*params(1)*y(82)/llik__;
  v2(216,1)=23;
  v2(216,2)=7182;
  v2(216,3)=  v2(215,3);
  v2(217,1)=23;
  v2(217,2)=7635;
  v2(217,3)=(y(79)-y(48))*params(1)*params(9)/llik__;
  v2(218,1)=23;
  v2(218,2)=7455;
  v2(218,3)=  v2(217,3);
  v2(219,1)=24;
  v2(219,2)=2117;
  v2(219,3)=(-((-(y(59)*y(55)))*(y(24)+y(24))))/(y(24)*y(24)*y(24)*y(24));
  v2(220,1)=24;
  v2(220,2)=6441;
  v2(220,3)=(-(params(1)*y(84)*(-((-((1-params(10))*y(82)))*(y(71)+y(71))))/(y(71)*y(71)*y(71)*y(71))));
  v2(221,1)=24;
  v2(221,2)=4938;
  v2(221,3)=(-y(59))/(y(24)*y(24));
  v2(222,1)=24;
  v2(222,2)=2148;
  v2(222,3)=  v2(221,3);
  v2(223,1)=24;
  v2(223,2)=7442;
  v2(223,3)=(-(params(1)*y(84)*(-(1-params(10)))/(y(71)*y(71))));
  v2(224,1)=24;
  v2(224,2)=6452;
  v2(224,3)=  v2(223,3);
  v2(225,1)=24;
  v2(225,2)=5302;
  v2(225,3)=(-y(55))/(y(24)*y(24));
  v2(226,1)=24;
  v2(226,2)=2152;
  v2(226,3)=  v2(225,3);
  v2(227,1)=24;
  v2(227,2)=5333;
  v2(227,3)=1/y(24);
  v2(228,1)=24;
  v2(228,2)=4973;
  v2(228,3)=  v2(227,3);
  v2(229,1)=24;
  v2(229,2)=7624;
  v2(229,3)=(-(params(1)*(-((1-params(10))*y(82)))/(y(71)*y(71))));
  v2(230,1)=24;
  v2(230,2)=6454;
  v2(230,3)=  v2(229,3);
  v2(231,1)=24;
  v2(231,2)=7635;
  v2(231,3)=(-(params(1)*(1-params(10))/y(71)));
  v2(232,1)=24;
  v2(232,2)=7455;
  v2(232,3)=  v2(231,3);
  v2(233,1)=24;
  v2(233,2)=7636;
  v2(233,3)=(-params(1));
  v2(234,1)=24;
  v2(234,2)=7546;
  v2(234,3)=  v2(233,3);
  v2(235,1)=25;
  v2(235,2)=2117;
  v2(235,3)=(-((-y(49))*(y(24)+y(24))))/(y(24)*y(24)*y(24)*y(24))-(-((-((1-params(10))*y(17)))*(y(24)+y(24))))/(y(24)*y(24)*y(24)*y(24));
  v2(236,1)=25;
  v2(236,2)=1480;
  v2(236,3)=(-((-(1-params(10)))/(y(24)*y(24))));
  v2(237,1)=25;
  v2(237,2)=2110;
  v2(237,3)=  v2(236,3);
  v2(238,1)=25;
  v2(238,2)=4392;
  v2(238,3)=(-1)/(y(24)*y(24));
  v2(239,1)=25;
  v2(239,2)=2142;
  v2(239,3)=  v2(238,3);
  v2(240,1)=26;
  v2(240,2)=5113;
  v2(240,3)=(-y(65));
  v2(241,1)=26;
  v2(241,2)=1513;
  v2(241,3)=  v2(240,3);
  v2(242,1)=26;
  v2(242,2)=5841;
  v2(242,3)=(-y(57));
  v2(243,1)=26;
  v2(243,2)=1521;
  v2(243,3)=  v2(242,3);
  v2(244,1)=26;
  v2(244,2)=5881;
  v2(244,3)=(-y(17));
  v2(245,1)=26;
  v2(245,2)=5161;
  v2(245,3)=  v2(244,3);
  v2(246,1)=27;
  v2(246,2)=1770;
  v2(246,3)=(-((-y(63))/(y(20)*y(20))));
  v2(247,1)=27;
  v2(247,2)=3660;
  v2(247,3)=  v2(246,3);
  v2(248,1)=27;
  v2(248,2)=1749;
  v2(248,3)=(-((-((-(y(63)*y(41)))*(y(20)+y(20))))/(y(20)*y(20)*y(20)*y(20))));
  v2(249,1)=27;
  v2(249,2)=5683;
  v2(249,3)=(-(1/y(20)));
  v2(250,1)=27;
  v2(250,2)=3703;
  v2(250,3)=  v2(249,3);
  v2(251,1)=27;
  v2(251,2)=5662;
  v2(251,3)=(-((-y(41))/(y(20)*y(20))));
  v2(252,1)=27;
  v2(252,2)=1792;
  v2(252,3)=  v2(251,3);
  v2(253,1)=28;
  v2(253,2)=1861;
  v2(253,3)=(-((-y(64))/(y(21)*y(21))));
  v2(254,1)=28;
  v2(254,2)=3661;
  v2(254,3)=  v2(253,3);
  v2(255,1)=28;
  v2(255,2)=1841;
  v2(255,3)=(-((-((-(y(41)*y(64)))*(y(21)+y(21))))/(y(21)*y(21)*y(21)*y(21))));
  v2(256,1)=28;
  v2(256,2)=5774;
  v2(256,3)=(-(1/y(21)));
  v2(257,1)=28;
  v2(257,2)=3704;
  v2(257,3)=  v2(256,3);
  v2(258,1)=28;
  v2(258,2)=5754;
  v2(258,3)=(-((-y(41))/(y(21)*y(21))));
  v2(259,1)=28;
  v2(259,2)=1884;
  v2(259,3)=  v2(258,3);
  v2(260,1)=29;
  v2(260,2)=1;
  v2(260,3)=(-(params(24)*(-1)/(y(1)*y(1))));
  v2(261,1)=29;
  v2(261,2)=2025;
  v2(261,3)=(-1)/(y(23)*y(23));
  v2(262,1)=31;
  v2(262,2)=93;
  v2(262,3)=(-(params(25)*(-1)/(y(2)*y(2))));
  v2(263,1)=31;
  v2(263,2)=2117;
  v2(263,3)=(-1)/(y(24)*y(24));
  v2(264,1)=32;
  v2(264,2)=185;
  v2(264,3)=(-(params(26)*(-1)/(y(3)*y(3))));
  v2(265,1)=32;
  v2(265,2)=2209;
  v2(265,3)=(-1)/(y(25)*y(25));
  v2(266,1)=33;
  v2(266,2)=369;
  v2(266,3)=(-(params(28)*(-1)/(y(5)*y(5))));
  v2(267,1)=33;
  v2(267,2)=2393;
  v2(267,3)=(-1)/(y(27)*y(27));
  v2(268,1)=34;
  v2(268,2)=277;
  v2(268,3)=(-(params(27)*(-1)/(y(4)*y(4))));
  v2(269,1)=34;
  v2(269,2)=2301;
  v2(269,3)=(-1)/(y(26)*y(26));
  v2(270,1)=35;
  v2(270,2)=461;
  v2(270,3)=(-(params(29)*(-1)/(y(6)*y(6))));
  v2(271,1)=35;
  v2(271,2)=2485;
  v2(271,3)=(-1)/(y(28)*y(28));
  v2(272,1)=42;
  v2(272,2)=3681;
  v2(272,3)=(-T1068);
  v2(273,1)=43;
  v2(273,2)=4049;
  v2(273,3)=(-((-(T739*T739))/(T532*T532)));
  v2(274,1)=43;
  v2(274,2)=4140;
  v2(274,3)=(-((-(T739*T753))/(T532*T532)));
  v2(275,1)=43;
  v2(275,2)=4050;
  v2(275,3)=  v2(274,3);
  v2(276,1)=43;
  v2(276,2)=4141;
  v2(276,3)=(-((-(T753*T753))/(T532*T532)));
  v2(277,1)=45;
  v2(277,2)=3647;
  v2(277,3)=(-((-params(37))/(y(41)*y(41))));
  v2(278,1)=45;
  v2(278,2)=587;
  v2(278,3)=  v2(277,3);
  v2(279,1)=45;
  v2(279,2)=3681;
  v2(279,3)=(-((-((-(params(37)*y(7)))*(y(41)+y(41))))/(y(41)*y(41)*y(41)*y(41))));
  v2(280,1)=45;
  v2(280,2)=4870;
  v2(280,3)=(-(params(7)*(1-params(37))));
  v2(281,1)=45;
  v2(281,2)=4240;
  v2(281,3)=  v2(280,3);
  v2(282,1)=47;
  v2(282,2)=5061;
  v2(282,3)=(-1)/(y(56)*y(56));
  v2(283,1)=47;
  v2(283,2)=5245;
  v2(283,3)=(-((-1)/(y(58)*y(58))));
  g2 = sparse(v2(:,1),v2(:,2),v2(:,3),47,8281);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],47,753571);
end
end
